Tasuku
ReferenceAPI referenceSlack

Enable or disable passive listening for one joined Slack channel

PUT/organizations/{organization_id}/slack/channels/{channel_id}/passive-listening

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
channel_id*string
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/string/slack/channels/string/passive-listening" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "data": {    "id": "string",    "name": "string",    "is_private": true,    "passive_enabled": true  }}